Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/preferences/CAPreferences.java	(revision 3824)
@@ -40,8 +40,8 @@
 	public static final String SHOW_INDIVIDUALS = "chart_show_individuals"; //$NON-NLS-1$
 	public static final String SHOW_VARIABLES = "chart_show_variables"; //$NON-NLS-1$
 	public static final String SHOW_POINT_SHAPES = "chart_show_point_shapes"; //$NON-NLS-1$
-	public static final String ROW_SUP_NAMES = "row_sup_names";
-	public static final String COL_SUP_NAMES = "col_sup_names";
+	public static final String ROW_SUP_NAMES = "row_sup_names"; //$NON-NLS-1$
+	public static final String COL_SUP_NAMES = "col_sup_names"; //$NON-NLS-1$
 	
 	
 	/**
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 3824)
@@ -138,23 +138,23 @@
 			// rw.callFunctionAndAffect("FactoMineR:CA", new String[] { table.getSymbol() }, symbol); //$NON-NLS-1$
 			// rw.eval(symbol+" <- FactoMineR::CA("+table.getSymbol()+", graph=FALSE)"); //$NON-NLS-1$ //$NON-NLS-2$
 			StringBuilder script = new StringBuilder();
-			script.append(symbol + " <- FactoMineR::CA(" + table.getSymbol() + "[,colSums(" + table.getSymbol() + ") != 0]");
+			script.append(symbol + " <- FactoMineR::CA(" + table.getSymbol() + "[,colSums(" + table.getSymbol() + ") != 0]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			if (pRowSupNames != null && pRowSupNames.length() > 0) {
-				String[] split = pRowSupNames.split(",");
+				String[] split = pRowSupNames.split(","); //$NON-NLS-1$
 				for (int i = 0 ; i < split.length ; i++) {
-					split[i] = split[i].replace("\"", "\\\"");
+					split[i] = split[i].replace("\"", "\\\""); //$NON-NLS-1$ //$NON-NLS-2$
 				}
-				script.append(",row.sup=Filter(Negate(is.null), which(rownames("+table.getSymbol()+") == c(\""+StringUtils.join(split, "\", \"")+"\")))");
+				script.append(",row.sup=Filter(Negate(is.null), which(rownames("+table.getSymbol()+") == c(\""+StringUtils.join(split, "\", \"")+"\")))"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				 //which(rownames(children) == c("money", "fear"))
 			}
 			if (pColSupNames != null && pColSupNames.length() > 0) {
-				String[] split = pColSupNames.split(",");
+				String[] split = pColSupNames.split(","); //$NON-NLS-1$
 				for (int i = 0 ; i < split.length ; i++) {
-					split[i] = split[i].replace("\"", "\\\"");
+					split[i] = split[i].replace("\"", "\\\""); //$NON-NLS-1$ //$NON-NLS-2$
 				}
-				script.append(",col.sup=Filter(Negate(is.null), which(colnames("+table.getSymbol()+") == c(\""+StringUtils.join(split, "\", \"")+"\")))");
+				script.append(",col.sup=Filter(Negate(is.null), which(colnames("+table.getSymbol()+") == c(\""+StringUtils.join(split, "\", \"")+"\")))"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
-			script.append(", graph=FALSE)");
+			script.append(", graph=FALSE)"); //$NON-NLS-1$
 			rw.eval(script.toString()); //$NON-NLS-1$ //$NON-NLS-2$
 			
 		}
@@ -519,7 +519,7 @@
 	 */
 	@Override
 	public String getEigenvaluesRSymbol() throws StatException {
-		return symbol + "$eig[,1]";
+		return symbol + "$eig[,1]"; //$NON-NLS-1$
 	}
 	
 	/*
@@ -585,21 +585,21 @@
 	
 	@Override
 	public int getRowsCount() throws RWorkspaceException, REXPMismatchException {
-		return rw.eval("length(" + this.symbol + "$call$marge.row)").asInteger();
+		return rw.eval("length(" + this.symbol + "$call$marge.row)").asInteger(); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	@Override
 	public int getColumnsCount() throws RWorkspaceException, REXPMismatchException {
-		return rw.eval("length(" + this.symbol + "$call$marge.col)").asInteger();
+		return rw.eval("length(" + this.symbol + "$call$marge.col)").asInteger(); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	@Override
 	public Vector getColNames() throws RWorkspaceException {
-		return new VectorImpl("names(" + this.symbol + "$call$marge.col)");
+		return new VectorImpl("names(" + this.symbol + "$call$marge.col)"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	@Override
 	public Vector getRowNames() throws RWorkspaceException {
-		return new VectorImpl("names(" + this.symbol + "$call$marge.row)");
+		return new VectorImpl("names(" + this.symbol + "$call$marge.row)"); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 }
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java	(revision 3824)
@@ -453,7 +453,7 @@
 	
 	@Override
 	public String getEigenvaluesRSymbol() throws StatException {
-		return symbol + "$sv";
+		return symbol + "$sv"; //$NON-NLS-1$
 	}
 	
 	/*
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 3824)
@@ -17,6 +17,8 @@
 	public static String RESULT_TYPE;
 	
 	public static String eigenvalues;
+
+	public static String eigenvaluesP0;
 	
 	public static String cantCreateCAChartFileChartsEngineColonP0P1;
 	
@@ -25,6 +27,8 @@
 	public static String axis;
 	
 	public static String axisP0P1Percent;
+
+	public static String CantCreateCAFactorialMapScatterPlotP0;
 	
 	public static String columns;
 	
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties	(revision 3824)
@@ -4,6 +4,7 @@
 axisP0P1Percent=Axis {0} ({1}%)
 cantCreateBarChartOfTheCASingularValuesP0=** Can not create bar chart of the Correspondence analysis singular values.
 cantCreateCAChartFileChartsEngineColonP0P1=** Can not create Correspondence analysis factorial plane chart file (charts engine {0})\: {1}
+CantCreateCAFactorialMapScatterPlotP0=Can't create CA factorial map scatter plot : {0}
 charts_singularValues_tooltipSum=∑
 columns=Columns
 common_c1=c1
@@ -20,6 +21,7 @@
 correspondenceAnalysisFactorialMapofTheP0=Correspondence analysis factorial plane of {0}
 eigenvalue=Eigenvalue
 eigenvalues=Eigenvalues
+eigenvaluesP0=Eigenvalues {0}
 error_canNotLoadCALibraryP0=** Can not load the ''ca'' library\: {0}.
 error_errorWhileComputingCAP0=** Error while computing correspondence analysis\: {0}.
 error_failedToGetConstributionRowP0=** Failed to access contribution row\: {0}.
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 3824)
@@ -56,18 +56,18 @@
 	@Override
 	public String getName() {
 		// TODO Auto-generated method stub
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	@Override
 	public String getSimpleName() {
-		return "Eigenvalues " + this.getCA().getUnitProperty();
+		return CACoreMessages.eigenvaluesP0 + this.getCA().getUnitProperty();
 	}
 	
 	@Override
 	public String getDetails() {
 		// TODO Auto-generated method stub
-		return "";
+		return ""; //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3824)
@@ -48,14 +48,14 @@
 			// CAXYDataset dataset = new CAXYDataset(ca);
 			
 			chart = ChartFactory.createScatterPlot(Utils.createCAFactorialMapChartTitle(ca),
-					"", "", null, PlotOrientation.VERTICAL,
+					"", "", null, PlotOrientation.VERTICAL, //$NON-NLS-1$ //$NON-NLS-2$
 					CAPreferences.getInstance().getBoolean(ChartsEnginePreferences.SHOW_LEGEND), false, false);
 			
 			// Custom renderer
 			chart.getXYPlot().setRenderer(new CAItemSelectionRenderer(ca, chart));
 		}
 		catch (Exception e) {
-			Log.severe("Can't create CA factorial map scatter plot" + e);
+			Log.severe(CACoreMessages.CantCreateCAFactorialMapScatterPlotP0 + e);
 			return null;
 		}
 		
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 3824)
@@ -61,7 +61,7 @@
 			
 			String axes = "c(" + firstDimension + ", " + secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			
-			String cmd = "plot.CA(" + ca.getSymbol() + ", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+			String cmd = "plot.CA(" + ca.getSymbol() + ", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 			
 			this.getChartsEngine().plot(destFile, cmd);
 			
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 3823)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 3824)
@@ -53,7 +53,7 @@
 		xLabels.append("c("); //$NON-NLS-1$
 		REXP sv;
 		try {
-			sv = RWorkspace.getRWorkspaceInstance().eval("length(" + ca.getSymbol() + "$eig[,1])");  //$NON-NLS-1$ $NON-NLS-2$
+			sv = RWorkspace.getRWorkspaceInstance().eval("length(" + ca.getSymbol() + "$eig[,1])");  //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 			int ncol = sv.asInteger();
 			
 			for (int i = 0, c = ncol; i < c; i++) {
